Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO] Errore dopo emerge --depclean
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
ashlar
Tux's lil' helper
Tux's lil' helper


Joined: 14 Jun 2006
Posts: 140

PostPosted: Thu May 10, 2007 8:25 am    Post subject: [RISOLTO] Errore dopo emerge --depclean Reply with quote

Ho fatto un po di pulizia nel sistema, dopo aver fatto "emerge --depclean" come al solito ho lanciato anche un bel "revdep-rebuild" che mi ha dato come risposta questa bella roba:
Quote:
revdep-rebuild -p
Configuring search environment for revdep-rebuild

Environment mismatch from previous run, deleting temporary files...

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
(/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
(/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
broken /usr/bin/svn (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/bin/svnadmin (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/bin/svndumpfilter (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/bin/svnlook (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/bin/svnserve (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/bin/svnsync (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/bin/svnversion (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/libexec/battstat-applet-2 (requires libapm.so.1)
broken /usr/lib/gedit-2/plugins/libspell.so (requires libaspell.so.15)
broken /usr/lib/libkdnssd.so.1.0.0 (requires libavahi-qt3.so.1)
broken /usr/lib/libsvn_client-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_delta-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_diff-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_fs-1.so.0.0.0 (requires libapr-0.so.0)
broken /usr/lib/libsvn_fs_base-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_fs_fs-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvnjavahl-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_ra-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_ra_dav-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_ra_local-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_ra_svn-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_repos-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_subr-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_swig_perl-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_swig_py-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/libsvn_wc-1.so.0.0.0 (requires libapr-0.so.0 libaprutil-0.so.0)
broken /usr/lib/python2.4/site-packages/libsvn/_client.so (requires libapr-0.so.0)
broken /usr/lib/python2.4/site-packages/libsvn/_core.so (requires libapr-0.so.0)
broken /usr/lib/gedit-2/plugins/libspell.la (requires /usr/lib/libaspell.la)
broken /usr/lib/libkdnssd.la (requires /usr/lib/libavahi-qt3.la)
broken /usr/lib/libsvn_client-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_client-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_delta-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_delta-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_diff-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_diff-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_fs-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_fs-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_fs_base-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_fs_base-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_fs_fs-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_fs_fs-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvnjavahl-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvnjavahl-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_ra-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_ra-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_ra_dav-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_ra_dav-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_ra_local-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_ra_local-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_ra_svn-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_ra_svn-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_repos-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_repos-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_subr-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_subr-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_swig_perl-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_swig_perl-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_swig_py-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_swig_py-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/libsvn_wc-1.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/libsvn_wc-1.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_client.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_client.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_core.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_core.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_delta.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_delta.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_fs.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_fs.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_ra.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_ra.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_repos.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_repos.la (requires /usr/lib/libapr-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_wc.la (requires /usr/lib/libaprutil-0.la)
broken /usr/lib/python2.4/site-packages/libsvn/_wc.la (requires /usr/lib/libapr-0.la)
done.
(/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... done.
(/root/.revdep-rebuild.4_ebuilds)

Evaluating package order... done.
(/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot -p =dev-util/subversion-1.4.3 =kde-misc/kdnssd-avahi-0.1.2 =gnome-base/gnome-applets-2.16.2 =app-editors/gedit-2.16.2-r1

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] dev-util/subversion-1.4.3
[ebuild R ] kde-misc/kdnssd-avahi-0.1.2
[ebuild R ] gnome-base/gnome-applets-2.16.2
[ebuild R ] app-editors/gedit-2.16.2-r1


ho provato a riemergere come consigliato ma non riesce a completare la riemersione dei pacchetti per errori vari, sapete come posso reistallate direttamente le due librerie incriminate?


Last edited by ashlar on Thu May 10, 2007 8:45 am; edited 1 time in total
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Thu May 10, 2007 8:35 am    Post subject: Reply with quote

dovresti dirci quali sono questi "errori vari", altrimenti risulta difficile darti una mano.

La procedura che stai seguendo è giusta (ovvero ricompilare i pacchetti problematici), però bisogna capire PERCHE' falliscono nella ricompilazione.
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
ashlar
Tux's lil' helper
Tux's lil' helper


Joined: 14 Jun 2006
Posts: 140

PostPosted: Thu May 10, 2007 8:44 am    Post subject: Reply with quote

sono riuscito a risolvere i problemi anche se non ho capito il motivo del "guasto". Ad esempio quando ho istallato "subversion" andava tutto a posto così come avevo configurato le use flag per farlo ricompilare adesso ho dovuto mettere "-apache2". Intanto metto risolto ma mi rimane questo dubbio...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum